Bullet Collision Detection & Physics Library: SoftBodyConfigData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
SoftBodyConfigData Struct Reference

`#include <btSoftBodyData.h>`

## Public Attributes
int | m_aeroModel
float | m_baumgarte
float | m_damping
float | m_drag
float | m_lift
float | m_pressure
float | m_volume
float | m_dynamicFriction
float | m_poseMatch
float | m_rigidContactHardness
float | m_kineticContactHardness
float | m_softContactHardness
float | m_anchorHardness
float | m_softRigidClusterHardness
float | m_softKineticClusterHardness
float | m_softSoftClusterHardness
float | m_softRigidClusterImpulseSplit
float | m_softKineticClusterImpulseSplit
float | m_softSoftClusterImpulseSplit
float | m_maxVolume
float | m_timeScale
int | m_velocityIterations
int | m_positionIterations
int | m_driftIterations
int | m_clusterIterations
int | m_collisionFlags

## Detailed Description

Definition at line 81 of file btSoftBodyData.h.

## Member Data Documentation

## ◆ m_aeroModel

int SoftBodyConfigData::m_aeroModel

Definition at line 83 of file btSoftBodyData.h.

## ◆ m_anchorHardness

float SoftBodyConfigData::m_anchorHardness

Definition at line 95 of file btSoftBodyData.h.

## ◆ m_baumgarte

float SoftBodyConfigData::m_baumgarte

Definition at line 84 of file btSoftBodyData.h.

## ◆ m_clusterIterations

int SoftBodyConfigData::m_clusterIterations

Definition at line 107 of file btSoftBodyData.h.

## ◆ m_collisionFlags

int SoftBodyConfigData::m_collisionFlags

Definition at line 108 of file btSoftBodyData.h.

## ◆ m_damping

float SoftBodyConfigData::m_damping

Definition at line 85 of file btSoftBodyData.h.

## ◆ m_drag

float SoftBodyConfigData::m_drag

Definition at line 86 of file btSoftBodyData.h.

## ◆ m_driftIterations

int SoftBodyConfigData::m_driftIterations

Definition at line 106 of file btSoftBodyData.h.

## ◆ m_dynamicFriction

float SoftBodyConfigData::m_dynamicFriction

Definition at line 90 of file btSoftBodyData.h.

## ◆ m_kineticContactHardness

float SoftBodyConfigData::m_kineticContactHardness

Definition at line 93 of file btSoftBodyData.h.

## ◆ m_lift

float SoftBodyConfigData::m_lift

Definition at line 87 of file btSoftBodyData.h.

## ◆ m_maxVolume

float SoftBodyConfigData::m_maxVolume

Definition at line 102 of file btSoftBodyData.h.

## ◆ m_poseMatch

float SoftBodyConfigData::m_poseMatch

Definition at line 91 of file btSoftBodyData.h.

## ◆ m_positionIterations

int SoftBodyConfigData::m_positionIterations

Definition at line 105 of file btSoftBodyData.h.

## ◆ m_pressure

float SoftBodyConfigData::m_pressure

Definition at line 88 of file btSoftBodyData.h.

## ◆ m_rigidContactHardness

float SoftBodyConfigData::m_rigidContactHardness

Definition at line 92 of file btSoftBodyData.h.

## ◆ m_softContactHardness

float SoftBodyConfigData::m_softContactHardness

Definition at line 94 of file btSoftBodyData.h.

## ◆ m_softKineticClusterHardness

float SoftBodyConfigData::m_softKineticClusterHardness

Definition at line 97 of file btSoftBodyData.h.

## ◆ m_softKineticClusterImpulseSplit

float SoftBodyConfigData::m_softKineticClusterImpulseSplit

Definition at line 100 of file btSoftBodyData.h.

## ◆ m_softRigidClusterHardness

float SoftBodyConfigData::m_softRigidClusterHardness

Definition at line 96 of file btSoftBodyData.h.

## ◆ m_softRigidClusterImpulseSplit

float SoftBodyConfigData::m_softRigidClusterImpulseSplit

Definition at line 99 of file btSoftBodyData.h.

## ◆ m_softSoftClusterHardness

float SoftBodyConfigData::m_softSoftClusterHardness

Definition at line 98 of file btSoftBodyData.h.

## ◆ m_softSoftClusterImpulseSplit

float SoftBodyConfigData::m_softSoftClusterImpulseSplit

Definition at line 101 of file btSoftBodyData.h.

## ◆ m_timeScale

float SoftBodyConfigData::m_timeScale

Definition at line 103 of file btSoftBodyData.h.

## ◆ m_velocityIterations

int SoftBodyConfigData::m_velocityIterations

Definition at line 104 of file btSoftBodyData.h.

## ◆ m_volume

float SoftBodyConfigData::m_volume

Definition at line 89 of file btSoftBodyData.h.

The documentation for this struct was generated from the following file:

- btSoftBodyData.h